module Eventloop.RouteEvent where

import Eventloop.Types.EventTypes

import Eventloop.Module.File
import Eventloop.Module.Timer
import Eventloop.Module.StdIn
import Eventloop.Module.StdOut
import Eventloop.Module.Websocket.Canvas

routeOutEvent :: OutEventRouter
routeOutEvent out = case out of
                            (OutFile _) -> fileModuleIdentifier
                            (OutTimer _) -> timerModuleIdentifier
                            (OutStdOut _) -> stdOutModuleIdentifier
                            (OutStdIn _) -> stdInModuleIdentifier
                            (OutCanvas _) -> canvasModuleIdentifier
                            _ -> error ("Could not find route for out event: " ++ show out)